Subject: Re: bug#50789: syncthing-gtk creates autostart file with wrong bin

From: Leo Famulari <[email-masked]>
Date: Fri, 24 Sep 2021 19:15:51 -0400

On Sat, Sep 25, 2021 at 12:55:56AM +0200, Liliana Marie Prikler wrote:
> We should patch syncthing to not write a desktop file at all.  Note how
> even if the binary name itself was correct, syncthing would link
> directly into the store, potentially producing a stale desktop file
> that breaks with garbage collection.

Maybe we could make the desktop file execute a path like
"$HOME/.guix-profile/bin/syncthing-gtk"?